Skip to main content

Airwallex

Quick Start
  1. Sign up at airwallex.com and obtain API credentials
  2. Create a terminal in the Admin Console with the parameters below
  3. Start processing — the adapter is pre-built and ready to use

Go to Airwallex →

Overview

Airwallex — Payments (global processor)

Provider IDairwallex
CategoryCard Processors
Websiteairwallex.com

Supported operations: Create + Confirm Payment Intent (payments_charge) Status (payments_status) Refund (payments_refund)


Authentication

Method: Bearer Token (two-stage)

Step 1: Retrieval token

POST /api/v1/authentication/login
Content-Type: application/json
x-api-key: {api_key}

{}

Response:

{
"token": "eyJ...",
"expires_at": "2024-01-15T11:30:00Z"
}

Step 2: Usage token

Authorization: Bearer {token}

Configuration

Required Parameters

ParameterDescription
base_urlBase API URL (default)
api_keyAPI Key for receipt token

Status Mapping

Provider Status4pay StatusDescription
SUCCEEDEDCharged
FAILEDFailure
CANCELLEDFailure
REQUIRES_CUSTOMER_ACTIONAuthenticationPending
(other)Pending
SUCCEEDEDRefunded
FAILEDFailure
(other)PartiallyRefunded

Testing

Sandbox URL

https://api-demo.airwallex.com/

Test Cards

CardNumberExpCVVResult
Visa4012 0000 0000 1003any futureany 3 digitsSuccessful payment
Visa (3DS)4012 0000 0000 1011any futureany 3 digitsRequires 3D Secure
Visa (decline)4000 0000 0000 0069any futureany 3 digitsDeclined
Mastercard5425 2334 3010 9903any futureany 3 digitsSuccessful payment
Amex3400 0000 0000 009any futureany 4 digitsSuccessful payment

API Reference

MethodEndpointDescription
POST/api/v1/authentication/login
POST/api/v1/pa/payment_intents/create
POST/api/v1/pa/payment_intents/{id}/confirm
GET/api/v1/pa/payment_intents/{id}
POST/api/v1/pa/refunds/create
GET/api/v1/pa/refunds/{id}

Resources